Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.core.config.exhaustivesearch
Enum ExhaustiveSearchSolverPhaseConfig.NodeExplorationType

    java.lang.Object
      java.lang.Enum<ExhaustiveSearchSolverPhaseConfig.NodeExplorationType>
          org.optaplanner.core.config.exhaustivesearch.ExhaustiveSearchSolverPhaseConfig.NodeExplorationType

All Implemented Interfaces:
  Serializable, Comparable<ExhaustiveSearchSolverPhaseConfig.NodeExplorationType>

Enclosing class:
  ExhaustiveSearchSolverPhaseConfig

    public static enum ExhaustiveSearchSolverPhaseConfig.NodeExplorationType

extends Enum<ExhaustiveSearchSolverPhaseConfig.NodeExplorationType>

Enum Constant Summary
`BREADTH_FIRST`
`DEPTH_FIRST`
`OPTIMISTIC_BOUND_FIRST`
`ORIGINAL_ORDER`

Method Summary
`Comparator<ExhaustiveSearchNode>` | `buildNodeComparator(boolean scoreBounderEnabled)`
`static ExhaustiveSearchSolverPhaseConfig.NodeExplorationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExhaustiveSearchSolverPhaseConfig.NodeExplorationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ORIGINAL_ORDER

    public static final ExhaustiveSearchSolverPhaseConfig.NodeExplorationType ORIGINAL_ORDER

### DEPTH_FIRST

    public static final ExhaustiveSearchSolverPhaseConfig.NodeExplorationType DEPTH_FIRST

### BREADTH_FIRST

    public static final ExhaustiveSearchSolverPhaseConfig.NodeExplorationType BREADTH_FIRST

### OPTIMISTIC_BOUND_FIRST

    public static final ExhaustiveSearchSolverPhaseConfig.NodeExplorationType OPTIMISTIC_BOUND_FIRST

Method Detail

### values

    public static ExhaustiveSearchSolverPhaseConfig.NodeExplorationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ExhaustiveSearchSolverPhaseConfig.NodeExplorationType c : ExhaustiveSearchSolverPhaseConfig.NodeExplorationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ExhaustiveSearchSolverPhaseConfig.NodeExplorationType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### buildNodeComparator

    public Comparator<ExhaustiveSearchNode> buildNodeComparator(boolean scoreBounderEnabled)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.